curl --request POST \
--url https://api.devin.ai/v1/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"idempotent": false,
"knowledge_ids": [
"<string>"
],
"max_acu_limit": 1,
"playbook_id": "<string>",
"secret_ids": [
"<string>"
],
"session_secrets": [
{
"key": "<string>",
"value": "<string>",
"sensitive": true
}
],
"snapshot_id": "<string>",
"structured_output_schema": {},
"tags": [
"<string>"
],
"title": "<string>",
"unlisted": false
}
'import requests
url = "https://api.devin.ai/v1/sessions"
payload = {
"prompt": "<string>",
"idempotent": False,
"knowledge_ids": ["<string>"],
"max_acu_limit": 1,
"playbook_id": "<string>",
"secret_ids": ["<string>"],
"session_secrets": [
{
"key": "<string>",
"value": "<string>",
"sensitive": True
}
],
"snapshot_id": "<string>",
"structured_output_schema": {},
"tags": ["<string>"],
"title": "<string>",
"unlisted": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '<string>',
idempotent: false,
knowledge_ids: ['<string>'],
max_acu_limit: 1,
playbook_id: '<string>',
secret_ids: ['<string>'],
session_secrets: [{key: '<string>', value: '<string>', sensitive: true}],
snapshot_id: '<string>',
structured_output_schema: {},
tags: ['<string>'],
title: '<string>',
unlisted: false
})
};
fetch('https://api.devin.ai/v1/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "<string>",
"url": "<string>",
"is_new_session": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Neue Sitzung erstellen
Erstellen Sie eine neue Devin-Session. Optional können Sie Parameter wie Snapshot-ID und Sitzungssichtbarkeit angeben.
Autorisierungen
Persönlicher API-Schlüssel (apk_user_*) oder Service-API-Schlüssel (apk_*)
Body
Liste der zu verwendenden Knowledge-IDs. Wenn None, wird die gesamte Knowledge verwendet. Wenn die Liste leer ist, wird keine Knowledge verwendet.
Maximaler ACU-Grenzwert, muss positiv sein
x > 0Liste der zu verwendenden Secret-IDs. Ist der Wert None, werden alle Secrets verwendet. Ist die Liste leer, werden keine Secrets verwendet.
Liste der sitzungsspezifischen Secrets, die verwendet werden sollen. Diese Secrets sind nur in dieser Sitzung verfügbar und werden nicht in den Organisations-Secrets gespeichert.
Show child attributes
Show child attributes
JSON-Schema (Entwurf 7) zur Validierung strukturierter Ausgaben. Max. 64 KB. Muss in sich geschlossen sein (keine externen $ref-Verweise).
Liste der Tags, die der Sitzung hinzugefügt werden sollen.
50Benutzerdefinierter Titel für die Sitzung. Wenn None angegeben ist, wird der Titel automatisch generiert.

